LANG=c
O=o
A=a
SO=so
CC=gcc
# CDEBUG=-ggdb
OPTFLAGS=-O4 -funroll-loops -ffast-math -fomit-frame-pointer \
	-fexpensive-optimizations -march=i686 -mcpu=i686
# OPTFLAGS=
CFLAGS=-Wall -pedantic -Wno-strict-aliasing $(OPTFLAGS) -D__LIBV__ \
	-D__UNIX__ -idirafter $(ROOTDIR)/include $(CDEBUG) 
AR=ar rc
MV=mv
RM=rm -f
AS=nasm
AFLAGS=-felf -d__UNIX__
S=asm
MAKE=make
ROOTDIR=../..
ARCH=generic
MAKEFILE=makefile
LIB=$(ROOTDIR)/lib/$(ARCH)/libV.$(A)
LIBSO=$(ROOTDIR)/lib/$(ARCH)/libV.$(SO)
###########################################################################
all:$(LIB)
###########################################################################
include $(ROOTDIR)/build/$(ARCH)/filelist.inc
include $(ROOTDIR)/build/$(ARCH)/supp.mak
###########################################################################
OBJECTS=$(SRC:.$(LANG)=.$(O)) $(SRC_INTEL:.$(S)=.$(O))
%.$(O):%.$(S)
	$(AS) $(AFLAGS) -I$(<D) $< -o $@
%.$(O):%.$(LANG) $(ROOTDIR)/include/*.h
	$(CC) -c $(CFLAGS) $(ANSI) -I$(<D) $< -o $@
$(LIB):$(SRC:.$(LANG)=.$(O)) $(SRC_INTEL:.$(S)=.$(O)) $(SUPP_OBJECTS) $(MAKEFILE)
	ar rcs $@ $^ $(SUPP_OBJECTS)
###########################################################################
clean:
	$(RM) $(OBJECTS) $(SUPP_OBJECTS)
distclean:clean
	$(RM) $(LIB)
bzipped_tarball:
	tar -jcvf libv.tar.bz2 libv
dist:distclean
	$(RM) $(ROOTDIR)/../libv.tar
	$(RM) $(ROOTDIR)/../libv.tar.bz2
	make -C $(ROOTDIR)/.. -f libv/build/$(ARCH)/$(MAKEFILE) -I libv/build/$(ARCH) bzipped_tarball
